#include <bits/stdc++.h>

using namespace std;

int main() {
    string rec;
    string tekst;
    cin>>tekst>>rec;
    
    vector <int> recNiz (26,0);
    vector <int> tekstNiz (26,0);
    
    for(int i=0; i<rec.length(); i++){
        recNiz[rec[i]-'a']++;
    }
    
    for(int i=0; i<tekst.length(); i++){
        tekstNiz[tekst[i]-'a']++;
    }
    
    char zabranjenoSlovo;
    int najmanjeSlovo=200000;
    for(int i=0; i<26; i++){
        //cout<<recNiz[i]<<" "<<najmanjeSlovo<<endl;
        if(recNiz[i]!=0&&recNiz[i]<najmanjeSlovo){
            //cout<<"!"<<recNiz[i]<<" "<<najmanjeSlovo<<endl;
            zabranjenoSlovo=i+'a';
            najmanjeSlovo=recNiz[i];
        }
    }
    
    cout<<tekstNiz[zabranjenoSlovo-'a']-najmanjeSlovo<<endl;
    
    int brojac=0;
    
    for(int i=0; i<tekst.length(); i++){
        if(tekst[i]==zabranjenoSlovo){
            if(brojac>=tekstNiz[zabranjenoSlovo-'a']-najmanjeSlovo){
                cout<<"*";
            }else{
                cout<<tekst[i];
            }
            brojac++;
        }else{
            cout<<tekst[i];
        }
    }
    cout<<endl;
    
    /*for(int i=0; i<26; i++){
        cout<<recNiz[i];
    }
    cout<<endl;
    for(int i=0; i<26; i++){
        cout<<tekstNiz[i];
    }*/
    
    //cout<<endl<<nSlovo<<endl;;
    
}